<?xml version="1.0" encoding="utf-8"?>


<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    tools:context="wsit.rentguru24.activity.ProductDetailsActivity">

    <android.support.design.widget.AppBarLayout
        android:id="@+id/search_app_bar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/AppTheme.AppBarOverlay">

        <android.support.v7.widget.Toolbar
            android:id="@+id/toolbar"
            app:layout_scrollFlags="scroll|enterAlways"
            app:popupTheme="@style/AppTheme.PopupOverlay"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="?attr/colorPrimary"


            />

    </android.support.design.widget.AppBarLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background_color">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/background_color">


            <TextView
                android:id="@+id/product_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="20dp"
                android:paddingLeft="10dp"
                android:paddingTop="20dp"
                android:text="Product Title"
                android:textAllCaps="true"
                android:textColor="@android:color/black"
                android:textSize="18sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/product_picture"
                android:layout_width="match_parent"
                android:layout_height="260dp"
                android:layout_below="@+id/product_title"
                android:background="@android:color/white">

            </ImageView>




            <LinearLayout
                android:id="@+id/rating_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@+id/product_picture"
                android:background="#59EEEEEE"
                android:gravity="center"
                android:padding="30dp">

                <RatingBar
                    android:id="@+id/rating"
                    style="?android:attr/ratingBarStyleIndicator"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:isIndicator="false"
                    android:numStars="5"
                    android:progressTint="@color/loading"
                    android:rating="4.0"
                    android:stepSize="0.5"
                    />

            </LinearLayout>


            <android.support.v7.widget.RecyclerView
                android:id="@+id/select_other_image"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_below="@+id/rating_layout"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginTop="-15dp"
                android:showDividers="middle">

            </android.support.v7.widget.RecyclerView>


            <Button
                android:id="@+id/rent_now_button"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_below="@+id/select_other_image"
                android:layout_margin="15dp"
                android:background="@drawable/rent_now_button_background"
                android:text="@string/rent_now" />


            <LinearLayout
                android:id="@+id/details_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/rent_now_button"
                android:orientation="vertical">


                <TableLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TableRow>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="0.5"
                            android:background="@drawable/table_border"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="@string/rent_fee"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/rent_fee"
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="1.5"
                            android:background="@drawable/table_border_value"
                            android:padding="10dp"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                    </TableRow>

                    <TableRow>


                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="0.5"
                            android:background="@drawable/table_border"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="@string/availability"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/available_time"
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="1.5"
                            android:background="@drawable/table_border_value"
                            android:gravity="left"
                            android:padding="10dp"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />


                    </TableRow>

                    <TableRow>


                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="60dp"
                            android:layout_weight="0.5"
                            android:background="@drawable/table_border"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="@string/product_location"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/product_location"
                            android:layout_width="0dp"
                            android:layout_height="60dp"
                            android:layout_weight="1.5"
                            android:background="@drawable/table_border_value"
                            android:gravity="left"
                            android:padding="10dp"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />


                    </TableRow>


                    <TableRow>


                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="0.5"
                            android:background="@drawable/table_border"
                            android:gravity="left"
                            android:padding="10dp"
                            android:text="@string/action_category"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/category_name"
                            android:layout_width="0dp"
                            android:layout_height="50dp"
                            android:layout_weight="1.5"
                            android:background="@drawable/table_border_value"
                            android:gravity="left"
                            android:padding="10dp"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />


                    </TableRow>


                </TableLayout>


            </LinearLayout>


            <TextView
                android:id="@+id/overview_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/details_layout"
                android:layout_marginBottom="5dp"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="15dp"
                android:text="@string/overview"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/overview"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/overview_text"
                android:layout_marginBottom="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="15dp"
                android:textSize="12sp" />


        </RelativeLayout>
    </ScrollView>
</LinearLayout>

